当前位置:首页 > 开发 > 开源软件 > 正文

centos6.3安装php5.4报错

发表于: 2015-03-26   作者:dcj3sjt126com   来源:转载   浏览:
摘要: 报错内容如下: Resolving Dependencies --> Running transaction check ---> Package php54w.x86_64 0:5.4.38-1.w6 will be installed --> Processing Dependency: php54w-common(x86-64) = 5.4.38-1.w6 for

报错内容如下:

Resolving Dependencies

--> Running transaction check

---> Package php54w.x86_64 0:5.4.38-1.w6 will be installed

--> Processing Dependency: php54w-common(x86-64) = 5.4.38-1.w6 for package: php54w-5.4.38-1.w6.x86_64

--> Processing Dependency: php54w-cli(x86-64) = 5.4.38-1.w6 for package: php54w-5.4.38-1.w6.x86_64

--> Processing Dependency: php54w-cli = 5.4.38-1.w6 for package: php54w-5.4.38-1.w6.x86_64

--> Running transaction check

---> Package php54w-cli.x86_64 0:5.4.38-1.w6 will be installed

---> Package php54w-common.x86_64 0:5.4.38-1.w6 will be installed

--> Processing Conflict: php54w-common-5.4.38-1.w6.x86_64 conflicts php-common < 5.4.0

--> Finished Dependency Resolution

Error: php54w-common conflicts with php-common

 You could try using --skip-broken to work around the problem

 

 You could try running: rpm -Va --nofiles --nodigest

 

发现冲突是php-common小于5.4.0

解决办法:

yum remove php-common

 

yum -y install php54w php54w-fpm php54w-gd php54w-intl php54w-mbstring php54w-mcrypt php54w-mysql php54w-pdo php54w-xml php54w-xmlrpc

service php-fpm restart

centos6.3安装php5.4报错

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号